Package: org.grails.web.converters.configuration

## [Java] Class ChainedConverterConfiguration<C extends Converter>

- org.grails.web.converters.configuration.ChainedConverterConfiguration

- All Implemented Interfaces and Traits:
    ConverterConfiguration

      @java.lang.SuppressWarnings("rawtypes")
      public class ChainedConverterConfiguration
      extends java.lang.Object

  An immutable ConverterConfiguration which chains the lookup calls for ObjectMarshallers for performance reasons.

  Authors:
    Siegfried Puchbauer
    Graeme Rocher
  Since:
    1.1

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `ChainedConverterConfiguration.ChainedObjectMarshaller` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ChainedConverterConfiguration (ConverterConfiguration<C> cfg)`
    `ChainedConverterConfiguration (ConverterConfiguration<C> cfg, ProxyHandler proxyHandler)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CircularReferenceBehaviour` | `getCircularReferenceBehaviour()`
    `` | `java.lang.String` | `getEncoding()`
    `` | `ObjectMarshaller<C>` | `getMarshaller(java.lang.Object o)`
    `` | `java.util.List<ObjectMarshaller<C>>` | `getOrderedObjectMarshallers()`
    `` | `ProxyHandler` | `getProxyHandler()`
    `` | `boolean` | `isCacheObjectMarshallerByClass()`
    `` | `boolean` | `isPrettyPrint()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ChainedConverterConfiguration(ConverterConfiguration<C> cfg)

    - #### public ChainedConverterConfiguration(ConverterConfiguration<C> cfg, ProxyHandler proxyHandler)

  - ### Method Detail

    - #### public CircularReferenceBehaviour getCircularReferenceBehaviour()

    - #### public java.lang.String getEncoding()

    - #### public ObjectMarshaller<C> getMarshaller(java.lang.Object o)

    - #### public java.util.List<ObjectMarshaller<C>> getOrderedObjectMarshallers()

    - #### public ProxyHandler getProxyHandler()

    - #### public boolean isCacheObjectMarshallerByClass()

    - #### public boolean isPrettyPrint()